summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ds9/build.sh28
-rw-r--r--ds9/meta.yaml2
2 files changed, 14 insertions, 16 deletions
diff --git a/ds9/build.sh b/ds9/build.sh
index f2fe0a5..31f3d89 100644
--- a/ds9/build.sh
+++ b/ds9/build.sh
@@ -1,20 +1,18 @@
-
case "$(uname)" in
-Linux)
-LDFLAGS='-m64'
-;;
-Darwin)
-LDFLAGS='-arch x86_64 -m64'
-
-sed -i -e '/codesign/d' ds9/unix/Makefile.in
-;;
-*)
-echo "Unsupported"
-exit 1
-;;
+ Linux)
+ LDFLAGS='-m64'
+ ;;
+ Darwin)
+ LDFLAGS='-arch x86_64 -m64'
+ sed -i -e '/codesign/d' ds9/unix/Makefile.in
+ ;;
+ *)
+ echo "Unsupported"
+ exit 1
+ ;;
esac
-unix/configure
+unix/configure TKFLAGS="--disable-xss" # not all machines have libXss
make
mkdir -p $PREFIX/bin
-cp -a bin/ds9* bin/x* $PREFIX/bin \ No newline at end of file
+cp -a bin/ds9* bin/x* $PREFIX/bin
diff --git a/ds9/meta.yaml b/ds9/meta.yaml
index 57a51b6..eb647cd 100644
--- a/ds9/meta.yaml
+++ b/ds9/meta.yaml
@@ -1,6 +1,6 @@
{% set name = 'ds9' %}
{% set version = '7.5' %}
-{% set number = '0' %}
+{% set number = '1' %}
about:
home: http://ds9.si.edu/download/source/